# ibl_mobile_core_frontend.model.MentorSettings

## Load the model package
```dart
import 'package:ibl_mobile_core_frontend/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **int** |  | [readonly] 
**mentor** | **String** |  | [readonly] 
**metadata** | **String** |  | [readonly] 
**allowAnonymous** | **String** |  | [readonly] 
**mentorDescription** | **String** |  | [readonly] 
**displayName** | **String** |  | [optional] 
**profileImage** | **String** |  | [optional] 
**initialMessage** | **String** |  | [optional] 
**suggestedMessage** | **String** |  | [optional] 
**theme** | [**ThemeEnum**](ThemeEnum.md) |  | [optional] 
**userMessageColor** | **String** |  | [optional] 
**mentorBubbleColor** | **String** |  | [optional] 
**alignMentorBubble** | [**AlignMentorBubbleEnum**](AlignMentorBubbleEnum.md) |  | [optional] 
**mentorVisibility** | [**MentorSettingsMentorVisibility**](MentorSettingsMentorVisibility.md) |  | [optional] 
**enableImageGeneration** | **bool** |  | [optional] 
**customCss** | **String** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


