# ibl_mobile_core_frontend.model.PatchedMathQuestion

## Load the model package
```dart
import 'package:ibl_mobile_core_frontend/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **int** |  | [optional] [readonly] 
**topic** | [**Topic**](Topic.md) |  | [optional] 
**subTopic** | [**SubTopic**](SubTopic.md) |  | [optional] 
**skillsAssessed** | [**List<Skill>**](Skill.md) |  | [optional] [default to const []]
**content** | **String** |  | [optional] 
**difficulty** | **int** |  | [optional] 
**cognitiveSkills** | [**MathQuestionCognitiveSkills**](MathQuestionCognitiveSkills.md) |  | [optional] 
**grade** | **int** |  | [optional] 
**expectedTimeToSolve** | **String** |  | [optional] 
**relatedConcepts** | **String** |  | [optional] 
**hintsProvided** | **String** |  | [optional] 
**learningOutcomes** | **String** |  | [optional] 
**prerequisites** | **String** |  | [optional] 
**recommendedGradeLevel** | **String** |  | [optional] 
**image** | **String** |  | [optional] 
**createdAt** | [**DateTime**](DateTime.md) |  | [optional] [readonly] 
**updatedAt** | [**DateTime**](DateTime.md) |  | [optional] [readonly] 
**platform** | **int** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


