# ibl_mobile_core_frontend.api.SearchApi

## Load the API package
```dart
import 'package:ibl_mobile_core_frontend/api.dart';
```

All URIs are relative to *https://base.manager.mentor.iblai.tech*

Method | HTTP request | Description
------------- | ------------- | -------------
[**searchDocumentsearchRetrieve**](SearchApi.md#searchdocumentsearchretrieve) | **GET** /api/search/documentsearch/ | 
[**searchSearchRetrieve**](SearchApi.md#searchsearchretrieve) | **GET** /api/search/search/ | 


# **searchDocumentsearchRetrieve**
> searchDocumentsearchRetrieve()



### Example
```dart
import 'package:ibl_mobile_core_frontend/api.dart';

final api_instance = SearchApi();

try {
    api_instance.searchDocumentsearchRetrieve();
} catch (e) {
    print('Exception when calling SearchApi->searchDocumentsearchRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **searchSearchRetrieve**
> QueryEndpoint searchSearchRetrieve()



### Example
```dart
import 'package:ibl_mobile_core_frontend/api.dart';

final api_instance = SearchApi();

try {
    final result = api_instance.searchSearchRetrieve();
    print(result);
} catch (e) {
    print('Exception when calling SearchApi->searchSearchRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**QueryEndpoint**](QueryEndpoint.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

