# ibl_mobile_core_frontend.model.UserSkill

## Load the model package
```dart
import 'package:ibl_mobile_core_frontend/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**skill** | [**Skill**](Skill.md) |  | 
**courses** | [**List<CoursePoint>**](CoursePoint.md) | Courses with skill and associated points | [default to const []]
**resources** | [**List<ResourcePoint>**](ResourcePoint.md) | Resources with skill and associated points | [default to const []]
**totalPoints** | **int** | Total points for skill | [readonly] 
**percentile** | **double** | Percentile of points for user. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


