# ibl_mobile_core_frontend.model.ActivityData

## Load the model package
```dart
import 'package:ibl_mobile_core_frontend/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**courseId** | **String** | edx Course Id | 
**name** | **String** | Course name | 
**courseStart** | **String** | Course start date | 
**courseEnd** | **String** | Course end date | 
**averageTimeInvested** | **double** | Overall course average time invested (other students inclusive) | 
**timeInvested** | **int** | Total time spent | 
**daysAway** | **int** | Days from today the course has been accessed | 
**lastAccessDate** | **String** | When course was last accessed | 
**daysAccessed** | **int** | Unique days course was accessed | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


