# ibl_mobile_core_frontend.model.AskMentorRequest

## Load the model package
```dart
import 'package:ibl_mobile_core_frontend/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**prompt** | **String** | Message to ask the mentor | [optional] 
**name** | **String** | Mentor name | [optional] 
**org** | **String** | Organization name | [optional] 
**mentorFlow** | [**Object**](.md) | Mentor flow from langchain | [optional] 
**sessionId** | **String** | Session id for the mentor. Required for chat history | [optional] 
**llmProvider** | **String** | The LLM provider. Google by default, could be 'google' or 'openai'. | [optional] [default to 'google']
**returnResources** | **bool** |  | [optional] [default to false]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


