# ibl_mobile_core_frontend.model.Credential

## Load the model package
```dart
import 'package:ibl_mobile_core_frontend/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **int** |  | [readonly] 
**created** | [**DateTime**](DateTime.md) |  | [readonly] 
**updated** | [**DateTime**](DateTime.md) |  | [readonly] 
**entityId** | **String** |  | 
**name** | **String** |  | 
**items** | **List<int>** |  | [default to const []]
**description** | **String** |  | [optional] 
**criteriaUrl** | **String** |  | [optional] 
**criteriaText** | **String** |  | [optional] 
**expiresAmount** | **int** |  | [optional] 
**expiresDuration** | [**CredentialExpiresDuration**](CredentialExpiresDuration.md) |  | [optional] 
**iconImage** | **String** |  | [optional] 
**thumbnailImage** | **String** |  | [optional] 
**backgroundImage** | **String** |  | [optional] 
**credentialType** | [**CredentialCredentialType**](CredentialCredentialType.md) |  | [optional] 
**tags** | [**Object**](.md) |  | [optional] 
**public** | **bool** |  | [optional] 
**metadata** | [**Object**](.md) |  | [optional] 
**htmlTemplate** | **String** |  | [optional] 
**cssTemplate** | **String** |  | [optional] 
**issuingSignal** | [**CredentialIssuingSignal**](CredentialIssuingSignal.md) |  | [optional] 
**issuer** | **int** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


