# ibl_mobile_core_frontend.api.RecommendationsApi

## Load the API package
```dart
import 'package:ibl_mobile_core_frontend/api.dart';
```

All URIs are relative to *https://base.manager.mentor.iblai.tech*

Method | HTTP request | Description
------------- | ------------- | -------------
[**recommendationsOrgsUsersRetrieve**](RecommendationsApi.md#recommendationsorgsusersretrieve) | **GET** /api/recommendations/orgs/{org}/users/{user_id}/ | 


# **recommendationsOrgsUsersRetrieve**
> RecommendationSearchAPI recommendationsOrgsUsersRetrieve(org, userId)



API endpoint that returns a search api url prepopulated with context data See http://localhost:8000/api/schema/swagger-ui/#/recommendations

### Example
```dart
import 'package:ibl_mobile_core_frontend/api.dart';

final api_instance = RecommendationsApi();
final org = org_example; // String | 
final userId = userId_example; // String | 

try {
    final result = api_instance.recommendationsOrgsUsersRetrieve(org, userId);
    print(result);
} catch (e) {
    print('Exception when calling RecommendationsApi->recommendationsOrgsUsersRetrieve: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **org** | **String**|  | 
 **userId** | **String**|  | 

### Return type

[**RecommendationSearchAPI**](RecommendationSearchAPI.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

