# ibl_mobile_core_frontend.api.RolesApi

## Load the API package
```dart
import 'package:ibl_mobile_core_frontend/api.dart';
```

All URIs are relative to *https://base.manager.mentor.iblai.tech*

Method | HTTP request | Description
------------- | ------------- | -------------
[**rolesPlatformOrgsRolesUsersDesiredRolesRetrieve**](RolesApi.md#rolesplatformorgsrolesusersdesiredrolesretrieve) | **GET** /api/roles/platform/orgs/{org}/roles/users/{username}/desired-roles/ | 
[**rolesPlatformOrgsRolesUsersReportedRolesRetrieve**](RolesApi.md#rolesplatformorgsrolesusersreportedrolesretrieve) | **GET** /api/roles/platform/orgs/{org}/roles/users/{username}/reported-roles/ | 


# **rolesPlatformOrgsRolesUsersDesiredRolesRetrieve**
> DesiredRole rolesPlatformOrgsRolesUsersDesiredRolesRetrieve(org, username)



### Example
```dart
import 'package:ibl_mobile_core_frontend/api.dart';

final api_instance = RolesApi();
final org = org_example; // String | 
final username = username_example; // String | 

try {
    final result = api_instance.rolesPlatformOrgsRolesUsersDesiredRolesRetrieve(org, username);
    print(result);
} catch (e) {
    print('Exception when calling RolesApi->rolesPlatformOrgsRolesUsersDesiredRolesRetrieve: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **org** | **String**|  | 
 **username** | **String**|  | 

### Return type

[**DesiredRole**](DesiredRole.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **rolesPlatformOrgsRolesUsersReportedRolesRetrieve**
> ReportedRole rolesPlatformOrgsRolesUsersReportedRolesRetrieve(org, username)



### Example
```dart
import 'package:ibl_mobile_core_frontend/api.dart';

final api_instance = RolesApi();
final org = org_example; // String | 
final username = username_example; // String | 

try {
    final result = api_instance.rolesPlatformOrgsRolesUsersReportedRolesRetrieve(org, username);
    print(result);
} catch (e) {
    print('Exception when calling RolesApi->rolesPlatformOrgsRolesUsersReportedRolesRetrieve: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **org** | **String**|  | 
 **username** | **String**|  | 

### Return type

[**ReportedRole**](ReportedRole.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

